#ifndef _SYSTEM_H
#define _SYSTEM_H
#define ERR_MSG00 "Could not change the directory."
#define ERR_MSG01 "Could not open the directory."
#define ERR_MSG02 "Could not read the directory."
#define ERR_MSG03 "Could not close the directory."
#define ERR_MSG04 "Could not get the size of the file or directory."
#define ERR_MSG05 "This is not a directory."
#define ERR_MSG06 "Could not open the config file. The program cannot work\n \
without a config file."
#define ERR_MSG07 "Could not create the config file. The user is not \n \
authorized to create a file. Please contact your\n \
administrator."
#define ERR_MSG08 "Compression or saving cancelled."
#define ZERR_MSG00 "Internal zip compression is not yet functional. Please\n \
Switch off internal compression for zip in the options\n \
panel."
#define ZERR_MSG01 "If you are going to use external compression/saving, then\n \
you must supply an executable name."
#define ZERR_MSG02 "Test of archive failed."
#define ZERR_MSG03 "Test of archive was successful."
#define GZERR_MSG00 "Internal gzip compression is not yet functional. Please\n \
Switch off internal compression for gzip in the options\n \
panel."
#define GZERR_MSG01 "If you are going to use external compression/saving, then\n \
you must supply an executable name."
#define GZERR_MSG02 "Test of compressed file failed."
#define GZERR_MSG03 "Test of compressed file was successful."
GtkWidget* winMain;
GtkWidget* Progress;

GtkWidget* errMessage;
GtkWidget* txtMessage;
GtkWidget* lstTo;

struct listing{
  char *buffer1[10240][256];
  char *buffer2[10240][256];
};
struct selected{
  int numrows;
  int *row;
};
int cancelled;
struct selected selFrom[102400];
struct selected selTo[102400];
void getOpenDir(int,char[],GtkWidget*,char[],int);
void getFromDir(int,char[],GtkWidget*,char[],int);
int compareLists(GtkCList* ,GtkCList* );
int mySystem(char*[]);
#endif
